/*------------------------------------------------------------
 * Page AJAX Loading styles
 *------------------------------------------------------------*/

.js-ajax-load-pages {

	.content-wrapper {
		opacity: 1;
		.transition( ~"opacity 0.7s cubic-bezier(0.7, 0, 0.3, 1)" );

		.ajax-loading-start& { opacity: 0; }
	}

}



/*------------------------------------------------------------
 * Modular Loading
 *------------------------------------------------------------*/

.js .element-modular-loading {
	@media @tablet-h, @desktop {
		opacity: 0;
		.transition( ~"opacity 0.4s cubic-bezier(0.7, 0, 0.3, 1)" );

		&--start { opacity: 1; }

	}
}


/*------------------------------------------------------------
 * Appearance Animate Appearance Classes
 *------------------------------------------------------------*/

.js {
	@media @tablet, @desktop {

		.hygge-animate-appearance {
			opacity: 0;

			&--start {
				opacity: 1;

				.animation( ~"hygge-fade-in-bottom-soft 0.5s 1 cubic-bezier(0.3, 0.1, 0.3, 1)" );
			}
		}

		.rich-image--banner .hygge-animate-appearance--start {
			.animation( ~"hygge-fade-in-bottom-soft 0.7s 1 cubic-bezier(0.3, 0.1, 0.3, 1)" );
		}

		.hygge-fullwidth,
		.hygge-contentwidth {
			.rich-image--banner .hygge-animate-appearance--start {
				.animation( ~"hygge-fade-in-left-soft 0.7s 1 cubic-bezier(0.3, 0.1, 0.3, 1)" );
			}
		}
	}
}



/*------------------------------------------------------------
 * Hygge Loader
 *------------------------------------------------------------*/

.hygge-loader {
	pointer-events: none;
	width: 70px;
	height: 70px;
	position: relative;
	z-index: 0;
	opacity: 0;
	.transition;

	&:before {
		position: absolute;
		top: 0;
		left: 0;
		content: "";
		display: block;
		width: 100%;
		height: 100%;
		border: 1px solid transparent;
		// border-right-color: @black;
		border-right-color: @grey;
		.circled;

		.animation( ~"preloader-rotate 1.5s infinite linear" );
	}

	img {
		.circled;
		padding: 4px;
		width: 100%;
		height: 100%;

		&[src=""], &:not([src]) {display: none;}
	}

	&--body {
		position: fixed;
		top: 50%;
		left: 50%;
		margin-top: -35px;
		margin-left: -35px;

		@media @tablet-h, @desktop {
			.hygge-sidebar--true & {
				margin-left: calc(~"-@{sidebar_width}/2 - 35px");
			}
		}

		.js-ajax-load-pages.ajax-loading-start & {
			opacity: 1;
			// appearance transition override
			.transition( ~"all 0.4s cubic-bezier( 0.4, 0, 0.3, 1 ) 1.5s" );
		}
	}

	&.pagination__loader {
		width: 40px;
		height: 40px;
	}

}

/* Hygge Loader Keyframes
 *------------------------------------------------------------*/

@-webkit-keyframes preloader-rotate {
	0% 	 { -webkit-transform: rotateZ(0deg); }
	100% { -webkit-transform: rotateZ(720deg); }
}

@keyframes preloader-rotate {
	0% 	 { transform: rotateZ(0deg); }
	100% { transform: rotateZ(720deg); }
}
